﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataSet ds = GetDataSet();
        C1GridView1.DataSource = ds.Tables[0];
        C1GridView1.DataBind();
        //Flip DataSet
        DataSet new_DS = FlipDataSet(ds);
        C1GridView2.DataSource = new_DS;
        C1GridView2.DataBind();

    }

    //Return Data Bindings
    DataSet GetDataSet()
    {
        string connstr = System.Configuration.ConfigurationManager.ConnectionStrings["MyConnection"].ConnectionString;
        OleDbConnection conn = new OleDbConnection(connstr);
        OleDbCommand cmd = new OleDbCommand("Select Top 5 * from Customers", conn);
        OleDbDataAdapter da = new OleDbDataAdapter(cmd);
        DataSet ds = new DataSet();
        da.Fill(ds);
        return ds;
    }

    //Flip DataSet
    public DataSet FlipDataSet(DataSet my_DataSet)
    {
        DataSet ds = new DataSet();
        foreach (DataTable dt in my_DataSet.Tables)
        {
            DataTable table = new DataTable();
            table.Columns.Add(" ");

            foreach (DataRow r in dt.Rows)
                table.Columns.Add(r[0].ToString());

            for (int i = 0; i < dt.Columns.Count - 1; i++)
            {
                table.Rows.Add(table.NewRow());
            }

            for (int r = 0; r < table.Rows.Count; r++)
            {
                for (int c = 0; c < table.Columns.Count; c++)
                {
                    if (c == 0)
                        table.Rows[r][0] = dt.Columns[r + 1].ColumnName;
                    else
                        table.Rows[r][c] = dt.Rows[c - 1][r + 1];
                }
            }
            table.AcceptChanges();

            ds.Tables.Add(table);
        }
     
        return ds;
    }
}